Bug 179066 - Add option to open-with, and also disable preview
Summary: Add option to open-with, and also disable preview
Status: RESOLVED FIXED
Alias: None
Product: ark
Classification: Applications
Component: general (show other bugs)
Version: unspecified
Platform: Compiled Sources Linux
: NOR wishlist with 386 votes (vote)
Target Milestone: ---
Assignee: Raphael Kubo da Costa
URL:
Keywords: junior-jobs
: 190400 203542 235125 243763 253767 254075 257556 276081 287828 291779 295549 311026 312786 319770 338902 341408 (view as bug list)
Depends on:
Blocks:
 
Reported: 2008-12-29 19:17 UTC by Ivo Anjo
Modified: 2014-12-01 08:54 UTC (History)
34 users (show)

See Also:
Latest Commit:
Version Fixed In: 14.12


Attachments
Testfile (12.89 KB, application/pdf)
2009-08-20 19:48 UTC, Axel Braun
Details
open with native app/chosen app (7.39 KB, application/octet-stream)
2011-03-02 21:11 UTC, peterv
Details
cleaned up (7.34 KB, application/octet-stream)
2011-03-02 22:44 UTC, peterv
Details
Patch adding a submenu to the preview button to choose from the embedded, default app or other external app to preview the file. (6.77 KB, patch)
2013-07-14 08:57 UTC, pridebay_un
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Ivo Anjo 2008-12-29 19:17:59 UTC
Version:            (using Devel)
OS:                Linux
Installed from:    Compiled sources

It would be nice if you could right-click > open with directly from ark, and also if you could disable preview so that when you double-clicked a file it would be opened in the normal app for that kind of file, instead of in the preview.
Comment 1 Ferdinand Gassauer 2009-03-25 06:04:59 UTC
I strongly support this wish - so important for developers.

Example currently it's not possible to inspect xml files - preview mostly shows  nothing - which is correct but not useful.
Comment 2 Bruno Schmidt 2009-04-06 22:30:34 UTC
In order to read XML files you have to change the "Embedding" option on "System Settings" -> "File Associations", but this can break some web sites (opened with konqueror) that return xhtml pages as text/xml.

It would be fine if Ark (just like Dolphin) provided a menu with a list of programs/kparts to open/preview the file and an option to configure the action of the double click (Open or Preview).
Comment 3 Raúl 2009-04-23 22:25:12 UTC
I also support this.
Comment 4 Jose 2009-06-29 16:31:56 UTC
My vote to this bug too. Sometimes I have to open a file with file roller just to have this useful feature.
Comment 5 Raphael Kubo da Costa 2009-08-01 20:54:37 UTC
*** Bug 190400 has been marked as a duplicate of this bug. ***
Comment 6 Sergio PR 2009-08-01 21:11:50 UTC
20 votes :)
Comment 7 Raphael Kubo da Costa 2009-08-02 02:55:03 UTC
Someone over bug 190400 mentioned not being able to open more than one preview dialog at once.

I tried it here and I can open as many dialogs as I want.
Comment 8 Raphael Kubo da Costa 2009-08-12 16:20:25 UTC
*** Bug 203542 has been marked as a duplicate of this bug. ***
Comment 9 Axel Braun 2009-08-20 10:44:46 UTC
I strongly support this wish: Instead of opening a PDF with the default program it fails to launch a 'netscape plugin' (Ark version 2.13, KDE 4.3). This is weird.
Comment 10 Raphael Kubo da Costa 2009-08-20 19:26:56 UTC
Actually, Ark just loads the default application associated with PDFs in your system. If you extract this file and open it, does it launch with your default PDF viewer?
Comment 11 Axel Braun 2009-08-20 19:35:28 UTC
(In reply to comment #10)
> Actually, Ark just loads the default application associated with PDFs in your
> system. If you extract this file and open it, does it launch with your default
> PDF viewer?

Yes, it uses Acrobat as default
Comment 12 Raphael Kubo da Costa 2009-08-20 19:37:18 UTC
Can you attach the file here? Does it only happen to one single PDF or to any PDF you try to load?
Comment 13 Axel Braun 2009-08-20 19:48:22 UTC
Created attachment 36307 [details]
Testfile

It happens to any PDF. Message: Unable to load netscape plugin for file:/tmp/kde-axel/ark8ydoS//testfile.pdf
Comment 14 Raphael Kubo da Costa 2009-08-20 19:51:07 UTC
Actually, I was asking for the tarball, not the specific PDF file. Anyway, it looks like a bug in Acrobat. Try switching your default PDF viewer to Okular or something else and see if the problem persists.
Comment 15 André Neves 2009-10-01 16:30:05 UTC
How come this hasn't been implemented yet? We users sometimes can't stand simple "previews", we need to have the ability to open the file with whatever program we want!

This is a serious shortcoming of ark and leaves many users lacking. My 20 votes.
Comment 16 Daniel Hahler 2010-06-12 20:29:01 UTC
This is a regression from the KDE3 version, according to http://userbase.kde.org/Ark:
 - In the KDE3 version it is possible to 'Open with' any suitable application
 - It is also possible, in the KDE3 version, to 'Edit with' an application. 
 (These two features are not available in the KDE SC 4 version yet)
Comment 17 Raphael Kubo da Costa 2010-07-06 20:09:11 UTC
*** Bug 243763 has been marked as a duplicate of this bug. ***
Comment 18 Raphael Kubo da Costa 2010-10-14 00:08:32 UTC
*** Bug 254075 has been marked as a duplicate of this bug. ***
Comment 19 Raphael Kubo da Costa 2010-10-21 01:32:34 UTC
*** Bug 253767 has been marked as a duplicate of this bug. ***
Comment 20 Raphael Kubo da Costa 2010-11-22 02:00:15 UTC
*** Bug 257556 has been marked as a duplicate of this bug. ***
Comment 21 Raphael Kubo da Costa 2010-12-08 02:18:43 UTC
Changing the default assignee in the currently open Ark bug reports to me.
Comment 22 Raphael Kubo da Costa 2010-12-22 21:11:54 UTC
*** Bug 235125 has been marked as a duplicate of this bug. ***
Comment 23 Raphael Kubo da Costa 2010-12-22 21:13:27 UTC
Answering comment #15 in bug 235125: I started working on this a few months ago before the 4.6 feature freeze, but didn't have time to make much progress.

As trunk is now open again for feature commits (or is soon going to be), I can start working on it once more and hopefully have it ready for 4.7.
Comment 24 Gilboa Davara 2010-12-22 21:50:53 UTC
Thanks for the update.
Comment 25 peterv 2011-03-02 21:11:18 UTC
Created attachment 57621 [details]
open with native app/chosen app

Hi,

I've made a patch that will make it possible to use the default app to open/preview a file.

Works like this:

-double click/enter=open default viewer
-click the 'preview' button opens the viewer as it is now
-ctrl+w: 'open with' dialog shows to choose the application to open with. (it's a KAction, but not sure how to add it to the right click menu).

A side effect of this patch that i could centralize the QFile::remove() calls.

So please have a look and give some feedback, and i will make the changes needed so it can go in SVN.

Thanks,

Peter
Comment 26 peterv 2011-03-02 22:44:10 UTC
Created attachment 57626 [details]
cleaned up

cleaned up a bit
Comment 27 Raphael Kubo da Costa 2011-06-19 23:55:06 UTC
*** Bug 276081 has been marked as a duplicate of this bug. ***
Comment 28 2011-06-20 03:42:00 UTC
Have this patch been tested?
If been tested and works smooth maybes better commit in master
Comment 29 Raphael Kubo da Costa 2011-06-20 03:51:04 UTC
Not yet,unfortunately. It has been posted to reviewboard, but it ended up slipping under my radar. I'll probably take a look at it soon.
Comment 30 2011-06-20 04:07:09 UTC
im building master currently and im adding it so i can test it, ill let you know how it goes.
Comment 31 2011-06-20 05:21:10 UTC
I have tested the patch and seams to work ok so far.

Still dont know but i got the impression that it would give right click in files to call  some menu in wich would appear some like:

Open
Open With...
Preview

But only now i read the Peterv comment....

So Peter can you improve the patch so it popup a menu when righ clicking files?
Maybe Raphael could help you?

It also would be nice to include other features in the menu like the ark default ones to extract files.

Now Raphael can you also put the Name tab resizable like happens with restant tabs Size, Owner, Group?

Dont you people agree that Ark could start being a good compress/decompress tool, maybe creating one of the bests in the linux archieve software.

All it needs its some care and love :)
Comment 32 2011-06-20 05:24:56 UTC
To remind that for all these improvements in ark, they all also need to be configurable, so  add a configuration dialog so that the user can select his preferences.
Comment 33 Ettore Atalan 2011-07-03 18:19:11 UTC
(In reply to comment #25)
> Created an attachment (id=57621) [details]
> open with native app/chosen app
> 
> Hi,
> 
> I've made a patch that will make it possible to use the default app to
> open/preview a file.

(In reply to comment #26)
> Created an attachment (id=57626) [details]
> cleaned up
> 
> cleaned up a bit

Is this patch part of the Ark 2.16 (KDE 4.6.4) release?
Comment 34 Raphael Kubo da Costa 2011-07-19 03:15:19 UTC
Nope, it has not been included yet. I finally reviewed it yesterday in ReviewBoard, and am now hoping peterv is still alive and willing to work on the patch :)
Comment 35 Jose 2011-07-20 08:31:48 UTC
Great, maybe in KDE 5.3 ark will reach feature parity with file roller or even ark 3.5...
Comment 36 Gilboa Davara 2011-07-20 14:35:12 UTC
Jose,

Ridiculing people that contribute their free time to advance open source projects is not only unproductive, let alone extremely rude.

- Gilboa
Comment 37 Gilboa Davara 2011-07-20 14:36:27 UTC
s/let alone/its also/g (bad piglish day)
Comment 38 Jose 2011-07-20 14:56:09 UTC
Sorry it's just a comment and I don't intend to offend nobody, it's just to point out that ark has been unmantained since KDE 4.1 practically. As KDE lost a lot of features in the KDE4 transition and has been recovering them in the next releases, it's frustrating seeing that ark lacks such a basic feature for an archive manager.
Comment 39 J.D. 2011-07-20 16:09:34 UTC
Its more of a bug that a feature request: I cannot open PDF files other than in this preview windows that lacks support for printing. So if I want to print a PDF from an archive I have to extract it to some folder and open it there. This is not quite acceptable for a GUI program.
Comment 40 Ettore Atalan 2011-07-20 16:52:09 UTC
(In reply to comment #38)
> As KDE lost a lot of features in the KDE4 transition and has been recovering
> them in the next releases, it's frustrating seeing that ark lacks such a
> basic feature for an archive manager.

Everytime when i need an archive manager i need these features (e.g. "Open with..."), so i use file-roller. Sad but true!
Comment 41 2011-07-21 19:03:30 UTC
I know its not related with this bug but i take it to say that i pick
up latest svn release 1242558 and now kdeutils (ark) doesnt build:

[  7%] Building CXX object
ark/kerfuffle/CMakeFiles/kerfuffle.dir/jobs.o
Linking CXX shared library ../../../lib/libjsoninterface.so
CMakeFiles/jsoninterface.dir/jsonarchiveinterface.o: In function
`JSONArchiveInterface::list()':
/home/mmodem/rpm/BUILD/kdeutils/ark/kerfuffle/tests/jsonarchiveinterface.cpp:46:
undefined reference to
`Kerfuffle::ReadOnlyArchiveInterface::entry(QHash<int, QVariant>
const&)'
CMakeFiles/jsoninterface.dir/jsonarchiveinterface.o: In function
`QList<QVariant>::node_destruct(QList<QVariant>::Node*,
QList<QVariant>::Node*)':
/usr/lib/qt4/include/QtCore/qlist.h:431: undefined reference to
`QVariant::~QVariant()'
CMakeFiles/jsoninterface.dir/jsonarchiveinterface.o: In function `~QString':
/usr/lib/qt4/include/QtCore/qstring.h:880: undefined reference to
`QString::free(QString::Data*)'
CMakeFiles/jsoninterface.dir/jsonarchiveinterface.o: In function
`QHash<int, QVariant>::freeData(QHashData*)':
/usr/lib/qt4/include/QtCore/qhash.h:570: undefined reference to
`QHashData::free_helper(void (*)(QHashData::Node*))'
CMakeFiles/jsoninterface.dir/jsonarchiveinterface.o: In function `~QString':
/usr/lib/qt4/include/QtCore/qstring.h:880: undefined reference to
`QString::free(QString::Data*)'
CMakeFiles/jsoninterface.dir/jsonarchiveinterface.o: In function
`JSONArchiveInterface':
/home/mmodem/rpm/BUILD/kdeutils/ark/kerfuffle/tests/jsonarchiveinterface.cpp:34:
undefined reference to
`Kerfuffle::ReadWriteArchiveInterface::ReadWriteArchiveInterface(QObject*,
QList<QVariant> const&)'
CMakeFiles/jsoninterface.dir/jsonarchiveinterface.o: In function `QMap':
/usr/lib/qt4/include/QtCore/qmap.h:182: undefined reference to
`QMapData::shared_null'
CMakeFiles/jsoninterface.dir/jsonarchiveinterface.o: In function
`JSONArchiveInterface::open()':
/home/mmodem/rpm/BUILD/kdeutils/ark/kerfuffle/tests/jsonarchiveinterface.cpp:54:
undefined reference to
`Kerfuffle::ReadOnlyArchiveInterface::filename() const'
/home/mmodem/rpm/BUILD/kdeutils/ark/kerfuffle/tests/jsonarchiveinterface.cpp:54:
undefined reference to `QFile::QFile(QString const&)'
CMakeFiles/jsoninterface.dir/jsonarchiveinterface.o: In function `~QString':
/usr/lib/qt4/include/QtCore/qstring.h:880: undefined reference to
`QString::free(QString::Data*)'
CMakeFiles/jsoninterface.dir/jsonarchiveinterface.o: In function
`JSONArchiveInterface::open()':
/home/mmodem/rpm/BUILD/kdeutils/ark/kerfuffle/tests/jsonarchiveinterface.cpp:56:
undefined reference to `QFile::exists() const'
/home/mmodem/rpm/BUILD/kdeutils/ark/kerfuffle/tests/jsonarchiveinterface.cpp:54:
undefined reference to `QFile::~QFile()'
/home/mmodem/rpm/BUILD/kdeutils/ark/kerfuffle/tests/jsonarchiveinterface.cpp:60:
undefined reference to `QFile::open(QFlags<QIODevice::OpenModeFlag>)'
CMakeFiles/jsoninterface.dir/jsonarchiveinterface.o: In function `QHash':
/usr/lib/qt4/include/QtCore/qhash.h:281: undefined reference to
`QHashData::shared_null'
CMakeFiles/jsoninterface.dir/jsonarchiveinterface.o: In function
`JSONArchiveInterface::addFiles(QStringList const&, QHash<QString,
QVariant> const&)':
/home/mmodem/rpm/BUILD/kdeutils/ark/kerfuffle/tests/jsonarchiveinterface.cpp:79:
undefined reference to `QVariant::QVariant(QString const&)'
CMakeFiles/jsoninterface.dir/jsonarchiveinterface.o: In function
`QHash<int, QVariant>::createNode(unsigned int, int const&, QVariant
const&, QHashNode<int, QVariant>**)':
/usr/lib/qt4/include/QtCore/qhash.h:545: undefined reference to
`QHashData::allocateNode(int)'
CMakeFiles/jsoninterface.dir/jsonarchiveinterface.o: In function `QHashNode':
/usr/lib/qt4/include/QtCore/qhash.h:253: undefined reference to
`QVariant::QVariant(QVariant const&)'
CMakeFiles/jsoninterface.dir/jsonarchiveinterface.o: In function
`QHash<int, QVariant>::operator[](int const&)':
/usr/lib/qt4/include/QtCore/qhash.h:747: undefined reference to
`QVariant::~QVariant()'
CMakeFiles/jsoninterface.dir/jsonarchiveinterface.o: In function
`qMapLessThanKey<QString>':
/usr/lib/qt4/include/QtCore/qmap.h:107: undefined reference to
`QString::operator<(QString const&) const'
/usr/lib/qt4/include/QtCore/qmap.h:107: undefined reference to
`QString::operator<(QString const&) const'
CMakeFiles/jsoninterface.dir/jsonarchiveinterface.o: In function
`JSONArchiveInterface::addFiles(QStringList const&, QHash<QString,
QVariant> const&)':
/home/mmodem/rpm/BUILD/kdeutils/ark/kerfuffle/tests/jsonarchiveinterface.cpp:79:
undefined reference to `QVariant::operator=(QVariant const&)'
/home/mmodem/rpm/BUILD/kdeutils/ark/kerfuffle/tests/jsonarchiveinterface.cpp:79:
undefined reference to `QVariant::~QVariant()'
CMakeFiles/jsoninterface.dir/jsonarchiveinterface.o: In function
`QHash<int, QVariant>::freeData(QHashData*)':
/usr/lib/qt4/include/QtCore/qhash.h:570: undefined reference to
`QHashData::free_helper(void (*)(QHashData::Node*))'
/usr/lib/qt4/include/QtCore/qhash.h:570: undefined reference to
`QHashData::free_helper(void (*)(QHashData::Node*))'
CMakeFiles/jsoninterface.dir/jsonarchiveinterface.o: In function
`QMap<QString, QHash<int, QVariant> >::node_create(QMapData*,
QMapData::Node**, QString const&, QHash<int, QVariant> const&)':
/usr/lib/qt4/include/QtCore/qmap.h:453: undefined reference to
`QMapData::node_create(QMapData::Node**, int, int)'
CMakeFiles/jsoninterface.dir/jsonarchiveinterface.o: In function
`QHash<int, QVariant>::freeData(QHashData*)':
/usr/lib/qt4/include/QtCore/qhash.h:570: undefined reference to
`QHashData::free_helper(void (*)(QHashData::Node*))'
CMakeFiles/jsoninterface.dir/jsonarchiveinterface.o: In function
`QHashData::willGrow()':
/usr/lib/qt4/include/QtCore/qhash.h:163: undefined reference to
`QHashData::rehash(int)'
CMakeFiles/jsoninterface.dir/jsonarchiveinterface.o: In function
`JSONArchiveInterface::deleteFiles(QList<QVariant> const&)':
/home/mmodem/rpm/BUILD/kdeutils/ark/kerfuffle/tests/jsonarchiveinterface.cpp:99:
undefined reference to `QVariant::toString() const'
CMakeFiles/jsoninterface.dir/jsonarchiveinterface.o: In function `~QString':
/usr/lib/qt4/include/QtCore/qstring.h:880: undefined reference to
`QString::free(QString::Data*)'
CMakeFiles/jsoninterface.dir/jsonarchiveinterface.o: In function
`JSONArchiveInterface::qt_metacall(QMetaObject::Call, int, void**)':
/home/mmodem/rpm/BUILD/kdeutils/build/ark/kerfuffle/tests/jsonarchiveinterface.moc:78:
undefined reference to
`Kerfuffle::ReadWriteArchiveInterface::qt_metacall(QMetaObject::Call,
int, void**)'
CMakeFiles/jsoninterface.dir/jsonarchiveinterface.o: In function
`JSONArchiveInterface::qt_metacast(char const*)':
/home/mmodem/rpm/BUILD/kdeutils/build/ark/kerfuffle/tests/jsonarchiveinterface.moc:72:
undefined reference to
`Kerfuffle::ReadWriteArchiveInterface::qt_metacast(char const*)'
CMakeFiles/jsoninterface.dir/jsonarchiveinterface.o: In function
`QList<QVariant>::free(QListData::Data*)':
/usr/lib/qt4/include/QtCore/qlist.h:759: undefined reference to `qFree(void*)'
CMakeFiles/jsoninterface.dir/jsonarchiveinterface.o: In function
`QMap<QString, QHash<int, QVariant> >::freeData(QMapData*)':
/usr/lib/qt4/include/QtCore/qmap.h:657: undefined reference to
`QMapData::continueFreeData(int)'
CMakeFiles/jsoninterface.dir/jsonarchiveinterface.o: In function
`~JSONArchiveInterface':
/home/mmodem/rpm/BUILD/kdeutils/ark/kerfuffle/tests/jsonarchiveinterface.cpp:38:
undefined reference to
`Kerfuffle::ReadWriteArchiveInterface::~ReadWriteArchiveInterface()'
CMakeFiles/jsoninterface.dir/jsonarchiveinterface.o: In function
`QList<QString>::free(QListData::Data*)':
/usr/lib/qt4/include/QtCore/qlist.h:759: undefined reference to `qFree(void*)'
CMakeFiles/jsoninterface.dir/jsonarchiveinterface.o: In function `QHashNode':
/usr/lib/qt4/include/QtCore/qhash.h:253: undefined reference to
`QVariant::QVariant(QVariant const&)'
CMakeFiles/jsoninterface.dir/jsonarchiveinterface.o: In function `~QHashNode':
/usr/lib/qt4/include/QtCore/qhash.h:217: undefined reference to
`QVariant::~QVariant()'
CMakeFiles/jsoninterface.dir/jsonarchiveinterface.o: In function
`qMapLessThanKey<QString>':
/usr/lib/qt4/include/QtCore/qmap.h:107: undefined reference to
`QString::operator<(QString const&) const'
/usr/lib/qt4/include/QtCore/qmap.h:107: undefined reference to
`QString::operator<(QString const&) const'
CMakeFiles/jsoninterface.dir/jsonarchiveinterface.o: In function
`QHash<int, QVariant>::detach_helper()':
/usr/lib/qt4/include/QtCore/qhash.h:584: undefined reference to
`QHashData::detach_helper2(void (*)(QHashData::Node*, void*), void
(*)(QHashData::Node*), int, int)'
CMakeFiles/jsoninterface.dir/jsonarchiveinterface.o: In function
`QHash<int, QVariant>::freeData(QHashData*)':
/usr/lib/qt4/include/QtCore/qhash.h:570: undefined reference to
`QHashData::free_helper(void (*)(QHashData::Node*))'
CMakeFiles/jsoninterface.dir/jsonarchiveinterface.o: In function
`QMap<QString, QHash<int, QVariant> >::detach_helper()':
/usr/lib/qt4/include/QtCore/qmap.h:754: undefined reference to
`QMapData::createData(int)'
CMakeFiles/jsoninterface.dir/jsonarchiveinterface.o: In function
`QMap<QString, QHash<int, QVariant> >::node_create(QMapData*,
QMapData::Node**, QString const&, QHash<int, QVariant> const&)':
/usr/lib/qt4/include/QtCore/qmap.h:453: undefined reference to
`QMapData::node_create(QMapData::Node**, int, int)'
CMakeFiles/jsoninterface.dir/jsonarchiveinterface.o: In function
`qMapLessThanKey<QString>':
/usr/lib/qt4/include/QtCore/qmap.h:107: undefined reference to
`QString::operator<(QString const&) const'
/usr/lib/qt4/include/QtCore/qmap.h:107: undefined reference to
`QString::operator<(QString const&) const'
/usr/lib/qt4/include/QtCore/qmap.h:107: undefined reference to
`QString::operator<(QString const&) const'
CMakeFiles/jsoninterface.dir/jsonarchiveinterface.o: In function `~QString':
/usr/lib/qt4/include/QtCore/qstring.h:880: undefined reference to
`QString::free(QString::Data*)'
CMakeFiles/jsoninterface.dir/jsonarchiveinterface.o: In function
`QHash<int, QVariant>::freeData(QHashData*)':
/usr/lib/qt4/include/QtCore/qhash.h:570: undefined reference to
`QHashData::free_helper(void (*)(QHashData::Node*))'
CMakeFiles/jsoninterface.dir/jsonarchiveinterface.o: In function
`QMap<QString, QHash<int, QVariant> >::remove(QString const&)':
/usr/lib/qt4/include/QtCore/qmap.h:684: undefined reference to
`QMapData::node_delete(QMapData::Node**, int, QMapData::Node*)'
CMakeFiles/jsoninterface.dir/jsonarchiveinterface.o: In function
`QList<QString>::detach_helper(int)':
/usr/lib/qt4/include/QtCore/qlist.h:709: undefined reference to
`QListData::detach(int)'
CMakeFiles/jsoninterface.dir/jsonarchiveinterface.o: In function
`QList<QVariant>::detach_helper(int)':
/usr/lib/qt4/include/QtCore/qlist.h:709: undefined reference to
`QListData::detach(int)'
CMakeFiles/jsoninterface.dir/jsonarchiveinterface.o: In function
`QList<QVariant>::node_copy(QList<QVariant>::Node*,
QList<QVariant>::Node*, QList<QVariant>::Node*)':
/usr/lib/qt4/include/QtCore/qlist.h:399: undefined reference to
`QVariant::QVariant(QVariant const&)'
CMakeFiles/jsoninterface.dir/jsonarchiveinterface.o:(.data.rel.ro+0x20):
undefined reference to
`Kerfuffle::ReadWriteArchiveInterface::staticMetaObject'
CMakeFiles/jsoninterface.dir/jsonarchiveinterface.o:(.data.rel.ro._ZTV20JSONArchiveInterface[vtable
for JSONArchiveInterface]+0x38): undefined reference to
`QObject::event(QEvent*)'
CMakeFiles/jsoninterface.dir/jsonarchiveinterface.o:(.data.rel.ro._ZTV20JSONArchiveInterface[vtable
for JSONArchiveInterface]+0x40): undefined reference to
`QObject::eventFilter(QObject*, QEvent*)'
CMakeFiles/jsoninterface.dir/jsonarchiveinterface.o:(.data.rel.ro._ZTV20JSONArchiveInterface[vtable
for JSONArchiveInterface]+0x48): undefined reference to
`QObject::timerEvent(QTimerEvent*)'
CMakeFiles/jsoninterface.dir/jsonarchiveinterface.o:(.data.rel.ro._ZTV20JSONArchiveInterface[vtable
for JSONArchiveInterface]+0x50): undefined reference to
`QObject::childEvent(QChildEvent*)'
CMakeFiles/jsoninterface.dir/jsonarchiveinterface.o:(.data.rel.ro._ZTV20JSONArchiveInterface[vtable
for JSONArchiveInterface]+0x58): undefined reference to
`QObject::customEvent(QEvent*)'
CMakeFiles/jsoninterface.dir/jsonarchiveinterface.o:(.data.rel.ro._ZTV20JSONArchiveInterface[vtable
for JSONArchiveInterface]+0x60): undefined reference to
`QObject::connectNotify(char const*)'
CMakeFiles/jsoninterface.dir/jsonarchiveinterface.o:(.data.rel.ro._ZTV20JSONArchiveInterface[vtable
for JSONArchiveInterface]+0x68): undefined reference to
`QObject::disconnectNotify(char const*)'
CMakeFiles/jsoninterface.dir/jsonarchiveinterface.o:(.data.rel.ro._ZTV20JSONArchiveInterface[vtable
for JSONArchiveInterface]+0x70): undefined reference to
`Kerfuffle::ReadWriteArchiveInterface::isReadOnly() const'
CMakeFiles/jsoninterface.dir/jsonarchiveinterface.o:(.data.rel.ro._ZTV20JSONArchiveInterface[vtable
for JSONArchiveInterface]+0x90): undefined reference to
`Kerfuffle::ReadOnlyArchiveInterface::doKill()'
CMakeFiles/jsoninterface.dir/jsonarchiveinterface.o:(.data.rel.ro._ZTV20JSONArchiveInterface[vtable
for JSONArchiveInterface]+0x98): undefined reference to
`Kerfuffle::ReadOnlyArchiveInterface::doSuspend()'
CMakeFiles/jsoninterface.dir/jsonarchiveinterface.o:(.data.rel.ro._ZTV20JSONArchiveInterface[vtable
for JSONArchiveInterface]+0xa0): undefined reference to
`Kerfuffle::ReadOnlyArchiveInterface::doResume()'
CMakeFiles/jsoninterface.dir/jsonarchiveinterface.o:(.data.rel.ro._ZTI20JSONArchiveInterface[typeinfo
for JSONArchiveInterface]+0x10): undefined reference to `typeinfo for
Kerfuffle::ReadWriteArchiveInterface'
CMakeFiles/jsoninterface.dir/jsonparser.o: In function
`QList<QVariant>::node_destruct(QList<QVariant>::Node*,
QList<QVariant>::Node*)':
/usr/lib/qt4/include/QtCore/qlist.h:431: undefined reference to
`QVariant::~QVariant()'
CMakeFiles/jsoninterface.dir/jsonparser.o: In function `~QString':
/usr/lib/qt4/include/QtCore/qstring.h:880: undefined reference to
`QString::free(QString::Data*)'
CMakeFiles/jsoninterface.dir/jsonparser.o: In function
`JSONParser::createJSONArchive(QVariant const&)':
/home/mmodem/rpm/BUILD/kdeutils/ark/kerfuffle/tests/jsonparser.cpp:106:
undefined reference to `QMapData::shared_null'
/home/mmodem/rpm/BUILD/kdeutils/ark/kerfuffle/tests/jsonparser.cpp:110:
undefined reference to `QVariant::toList() const'
/home/mmodem/rpm/BUILD/kdeutils/ark/kerfuffle/tests/jsonparser.cpp:111:
undefined reference to `QVariant::toMap() const'
CMakeFiles/jsoninterface.dir/jsonparser.o: In function `QString':
/usr/lib/qt4/include/QtCore/qstring.h:694: undefined reference to
`QString::fromLatin1_helper(char const*, int)'
CMakeFiles/jsoninterface.dir/jsonparser.o: In function `~QString':
/usr/lib/qt4/include/QtCore/qstring.h:880: undefined reference to
`QString::free(QString::Data*)'
CMakeFiles/jsoninterface.dir/jsonparser.o: In function `QHash':
/usr/lib/qt4/include/QtCore/qhash.h:281: undefined reference to
`QHashData::shared_null'
CMakeFiles/jsoninterface.dir/jsonparser.o: In function
`qMapLessThanKey<QString>':
/usr/lib/qt4/include/QtCore/qmap.h:107: undefined reference to
`QString::operator<(QString const&) const'
/usr/lib/qt4/include/QtCore/qmap.h:107: undefined reference to
`QString::operator<(QString const&) const'
/usr/lib/qt4/include/QtCore/qmap.h:107: undefined reference to
`QString::operator<(QString const&) const'
/usr/lib/qt4/include/QtCore/qmap.h:107: undefined reference to
`QString::operator<(QString const&) const'
CMakeFiles/jsoninterface.dir/jsonparser.o: In function
`KDebug::hasNullOutputQtDebugMsg(int)':
/usr/include/KDE/../kdebug.h:272: undefined reference to
`KDebug::hasNullOutput(QtMsgType, bool, int, bool)'
CMakeFiles/jsoninterface.dir/jsonparser.o: In function `QString':
/usr/lib/qt4/include/QtCore/qstring.h:694: undefined reference to
`QString::fromLatin1_helper(char const*, int)'
CMakeFiles/jsoninterface.dir/jsonparser.o: In function
`JSONParser::createJSONArchive(QVariant const&)':
/home/mmodem/rpm/BUILD/kdeutils/ark/kerfuffle/tests/jsonparser.cpp:128:
undefined reference to `QVariant::toString() const'
/home/mmodem/rpm/BUILD/kdeutils/ark/kerfuffle/tests/jsonparser.cpp:128:
undefined reference to `QVariant::~QVariant()'
CMakeFiles/jsoninterface.dir/jsonparser.o: In function `~QString':
/usr/lib/qt4/include/QtCore/qstring.h:880: undefined reference to
`QString::free(QString::Data*)'
/usr/lib/qt4/include/QtCore/qstring.h:880: undefined reference to
`QString::free(QString::Data*)'
CMakeFiles/jsoninterface.dir/jsonparser.o: In function `QHash<int,
QVariant>::freeData(QHashData*)':
/usr/lib/qt4/include/QtCore/qhash.h:570: undefined reference to
`QHashData::free_helper(void (*)(QHashData::Node*))'
CMakeFiles/jsoninterface.dir/jsonparser.o: In function `~QString':
/usr/lib/qt4/include/QtCore/qstring.h:880: undefined reference to
`QString::free(QString::Data*)'
CMakeFiles/jsoninterface.dir/jsonparser.o: In function `QMap<QString,
QVariant>::freeData(QMapData*)':
/usr/lib/qt4/include/QtCore/qmap.h:651: undefined reference to
`QVariant::~QVariant()'
/usr/lib/qt4/include/QtCore/qmap.h:657: undefined reference to
`QMapData::continueFreeData(int)'
CMakeFiles/jsoninterface.dir/jsonparser.o: In function `QHash<int,
QVariant>::createNode(unsigned int, int const&, QVariant const&,
QHashNode<int, QVariant>**)':
/usr/lib/qt4/include/QtCore/qhash.h:545: undefined reference to
`QHashData::allocateNode(int)'
CMakeFiles/jsoninterface.dir/jsonparser.o: In function `QHashNode':
/usr/lib/qt4/include/QtCore/qhash.h:253: undefined reference to
`QVariant::QVariant(QVariant const&)'
CMakeFiles/jsoninterface.dir/jsonparser.o: In function `QHash<int,
QVariant>::operator[](int const&)':
/usr/lib/qt4/include/QtCore/qhash.h:747: undefined reference to
`QVariant::~QVariant()'
CMakeFiles/jsoninterface.dir/jsonparser.o: In function
`qMapLessThanKey<QString>':
/usr/lib/qt4/include/QtCore/qmap.h:107: undefined reference to
`QString::operator<(QString const&) const'
CMakeFiles/jsoninterface.dir/jsonparser.o: In function
`JSONParser::createJSONArchive(QVariant const&)':
/home/mmodem/rpm/BUILD/kdeutils/ark/kerfuffle/tests/jsonparser.cpp:122:
undefined reference to `QVariant::operator=(QVariant const&)'
CMakeFiles/jsoninterface.dir/jsonparser.o: In function
`qMapLessThanKey<QString>':
/usr/lib/qt4/include/QtCore/qmap.h:107: undefined reference to
`QString::operator<(QString const&) const'
CMakeFiles/jsoninterface.dir/jsonparser.o: In function `~QString':
/usr/lib/qt4/include/QtCore/qstring.h:880: undefined reference to
`QString::free(QString::Data*)'
CMakeFiles/jsoninterface.dir/jsonparser.o: In function `QMap<QString,
QVariant>::freeData(QMapData*)':
/usr/lib/qt4/include/QtCore/qmap.h:651: undefined reference to
`QVariant::~QVariant()'
CMakeFiles/jsoninterface.dir/jsonparser.o: In function
`qMapLessThanKey<QString>':
/usr/lib/qt4/include/QtCore/qmap.h:107: undefined reference to
`QString::operator<(QString const&) const'
/usr/lib/qt4/include/QtCore/qmap.h:107: undefined reference to
`QString::operator<(QString const&) const'
CMakeFiles/jsoninterface.dir/jsonparser.o: In function `QMap<QString,
QVariant>::value(QString const&) const':
/usr/lib/qt4/include/QtCore/qmap.h:505: undefined reference to
`QVariant::QVariant(QVariant const&)'
CMakeFiles/jsoninterface.dir/jsonparser.o: In function `QHash<int,
QVariant>::freeData(QHashData*)':
/usr/lib/qt4/include/QtCore/qhash.h:570: undefined reference to
`QHashData::free_helper(void (*)(QHashData::Node*))'
CMakeFiles/jsoninterface.dir/jsonparser.o: In function `QHashData::willGrow()':
/usr/lib/qt4/include/QtCore/qhash.h:163: undefined reference to
`QHashData::rehash(int)'
CMakeFiles/jsoninterface.dir/jsonparser.o: In function `QBasicAtomicInt::ref()':
/usr/lib/qt4/include/QtCore/qatomic_x86_64.h:121: undefined reference
to `QHashData::shared_null'
CMakeFiles/jsoninterface.dir/jsonparser.o: In function `QMap<QString,
QHash<int, QVariant> >::node_create(QMapData*, QMapData::Node**,
QString const&, QHash<int, QVariant> const&)':
/usr/lib/qt4/include/QtCore/qmap.h:453: undefined reference to
`QMapData::node_create(QMapData::Node**, int, int)'
CMakeFiles/jsoninterface.dir/jsonparser.o: In function `QHash':
/usr/lib/qt4/include/QtCore/qhash.h:282: undefined reference to
`QHashData::shared_null'
CMakeFiles/jsoninterface.dir/jsonparser.o: In function
`QBasicAtomicInt::deref()':
/usr/lib/qt4/include/QtCore/qatomic_x86_64.h:133: undefined reference
to `QHashData::shared_null'
CMakeFiles/jsoninterface.dir/jsonparser.o: In function `QHash<int,
QVariant>::freeData(QHashData*)':
/usr/lib/qt4/include/QtCore/qhash.h:570: undefined reference to
`QHashData::free_helper(void (*)(QHashData::Node*))'
CMakeFiles/jsoninterface.dir/jsonparser.o: In function `archiveProperties':
/home/mmodem/rpm/BUILD/kdeutils/ark/kerfuffle/tests/jsonparser.cpp:40:
undefined reference to `QMapData::shared_null'
CMakeFiles/jsoninterface.dir/jsonparser.o: In function `QString':
/usr/lib/qt4/include/QtCore/qstring.h:694: undefined reference to
`QString::fromLatin1_helper(char const*, int)'
/usr/lib/qt4/include/QtCore/qstring.h:694: undefined reference to
`QString::fromLatin1_helper(char const*, int)'
/usr/lib/qt4/include/QtCore/qstring.h:694: undefined reference to
`QString::fromLatin1_helper(char const*, int)'
/usr/lib/qt4/include/QtCore/qstring.h:694: undefined reference to
`QString::fromLatin1_helper(char const*, int)'
/usr/lib/qt4/include/QtCore/qstring.h:694: undefined reference to
`QString::fromLatin1_helper(char const*, int)'
CMakeFiles/jsoninterface.dir/jsonparser.o:/usr/lib/qt4/include/QtCore/qstring.h:694:
more undefined references to `QString::fromLatin1_helper(char const*,
int)' follow
CMakeFiles/jsoninterface.dir/jsonparser.o: In function `~QString':
/usr/lib/qt4/include/QtCore/qstring.h:880: undefined reference to
`QString::free(QString::Data*)'
/usr/lib/qt4/include/QtCore/qstring.h:880: undefined reference to
`QString::free(QString::Data*)'
/usr/lib/qt4/include/QtCore/qstring.h:880: undefined reference to
`QString::free(QString::Data*)'
/usr/lib/qt4/include/QtCore/qstring.h:880: undefined reference to
`QString::free(QString::Data*)'
/usr/lib/qt4/include/QtCore/qstring.h:880: undefined reference to
`QString::free(QString::Data*)'
CMakeFiles/jsoninterface.dir/jsonparser.o:/usr/lib/qt4/include/QtCore/qstring.h:880:
more undefined references to `QString::free(QString::Data*)' follow
CMakeFiles/jsoninterface.dir/jsonparser.o: In function `QMap':
/usr/lib/qt4/include/QtCore/qmap.h:182: undefined reference to
`QMapData::shared_null'
CMakeFiles/jsoninterface.dir/jsonparser.o: In function `QMap<QString,
Kerfuffle::EntryMetaDataType>::node_create(QMapData*,
QMapData::Node**, QString const&, Kerfuffle::EntryMetaDataType
const&)':
/usr/lib/qt4/include/QtCore/qmap.h:453: undefined reference to
`QMapData::node_create(QMapData::Node**, int, int)'
/usr/lib/qt4/include/QtCore/qmap.h:453: undefined reference to
`QMapData::node_create(QMapData::Node**, int, int)'
CMakeFiles/jsoninterface.dir/jsonparser.o: In function
`KDebug::operator()(int)':
/usr/include/KDE/../kdebug.h:260: undefined reference to
`kDebugStream(QtMsgType, int, char const*, int, char const*)'
CMakeFiles/jsoninterface.dir/jsonparser.o: In function
`QDebug::operator<<(QString const&)':
/usr/lib/qt4/include/QtCore/qdebug.h:112: undefined reference to
`QTextStream::operator<<(char)'
/usr/lib/qt4/include/QtCore/qdebug.h:112: undefined reference to
`QTextStream::operator<<(QString const&)'
/usr/lib/qt4/include/QtCore/qdebug.h:112: undefined reference to
`QTextStream::operator<<(char)'
CMakeFiles/jsoninterface.dir/jsonparser.o: In function `QDebug::maybeSpace()':
/usr/lib/qt4/include/QtCore/qdebug.h:93: undefined reference to
`QTextStream::operator<<(char)'
CMakeFiles/jsoninterface.dir/jsonparser.o: In function
`QDebug::operator<<(char const*)':
/usr/lib/qt4/include/QtCore/qdebug.h:111: undefined reference to
`QString::fromAscii(char const*, int)'
/usr/lib/qt4/include/QtCore/qdebug.h:111: undefined reference to
`QTextStream::operator<<(QString const&)'
CMakeFiles/jsoninterface.dir/jsonparser.o: In function `~QString':
/usr/lib/qt4/include/QtCore/qstring.h:880: undefined reference to
`QString::free(QString::Data*)'
CMakeFiles/jsoninterface.dir/jsonparser.o: In function `QDebug::maybeSpace()':
/usr/lib/qt4/include/QtCore/qdebug.h:93: undefined reference to
`QTextStream::operator<<(char)'
CMakeFiles/jsoninterface.dir/jsonparser.o: In function `~QString':
/usr/lib/qt4/include/QtCore/qstring.h:880: undefined reference to
`QString::free(QString::Data*)'
CMakeFiles/jsoninterface.dir/jsonparser.o: In function `~Stream':
/usr/lib/qt4/include/QtCore/qdebug.h:64: undefined reference to
`QTextStream::~QTextStream()'
CMakeFiles/jsoninterface.dir/jsonparser.o: In function `~QDebug':
/usr/lib/qt4/include/QtCore/qdebug.h:85: undefined reference to
`QString::toLocal8Bit() const'
CMakeFiles/jsoninterface.dir/jsonparser.o: In function `QByteArray::detach()':
/usr/lib/qt4/include/QtCore/qbytearray.h:436: undefined reference to
`QByteArray::realloc(int)'
CMakeFiles/jsoninterface.dir/jsonparser.o: In function `~QDebug':
/usr/lib/qt4/include/QtCore/qdebug.h:85: undefined reference to
`qt_message_output(QtMsgType, char const*)'
CMakeFiles/jsoninterface.dir/jsonparser.o: In function `~QByteArray':
/usr/lib/qt4/include/QtCore/qbytearray.h:401: undefined reference to
`qFree(void*)'
CMakeFiles/jsoninterface.dir/jsonparser.o: In function `QMap<QString,
Kerfuffle::EntryMetaDataType>::node_create(QMapData*,
QMapData::Node**, QString const&, Kerfuffle::EntryMetaDataType
const&)':
/usr/lib/qt4/include/QtCore/qmap.h:453: undefined reference to
`QMapData::node_create(QMapData::Node**, int, int)'
/usr/lib/qt4/include/QtCore/qmap.h:453: undefined reference to
`QMapData::node_create(QMapData::Node**, int, int)'
/usr/lib/qt4/include/QtCore/qmap.h:453: undefined reference to
`QMapData::node_create(QMapData::Node**, int, int)'
/usr/lib/qt4/include/QtCore/qmap.h:453: undefined reference to
`QMapData::node_create(QMapData::Node**, int, int)'
/usr/lib/qt4/include/QtCore/qmap.h:453: undefined reference to
`QMapData::node_create(QMapData::Node**, int, int)'
CMakeFiles/jsoninterface.dir/jsonparser.o:/usr/lib/qt4/include/QtCore/qmap.h:453:
more undefined references to `QMapData::node_create(QMapData::Node**,
int, int)' follow
CMakeFiles/jsoninterface.dir/jsonparser.o: In function
`JSONParser::parse(QIODevice*)':
/home/mmodem/rpm/BUILD/kdeutils/ark/kerfuffle/tests/jsonparser.cpp:92:
undefined reference to `QJson::Parser::Parser()'
/home/mmodem/rpm/BUILD/kdeutils/ark/kerfuffle/tests/jsonparser.cpp:94:
undefined reference to `QJson::Parser::parse(QIODevice*, bool*)'
CMakeFiles/jsoninterface.dir/jsonparser.o: In function
`KDebug::hasNullOutputQtDebugMsg(int)':
/usr/include/KDE/../kdebug.h:272: undefined reference to
`KDebug::hasNullOutput(QtMsgType, bool, int, bool)'
CMakeFiles/jsoninterface.dir/jsonparser.o: In function `QMap':
/usr/lib/qt4/include/QtCore/qmap.h:182: undefined reference to
`QMapData::shared_null'
CMakeFiles/jsoninterface.dir/jsonparser.o: In function
`JSONParser::parse(QIODevice*)':
/home/mmodem/rpm/BUILD/kdeutils/ark/kerfuffle/tests/jsonparser.cpp:94:
undefined reference to `QVariant::~QVariant()'
/home/mmodem/rpm/BUILD/kdeutils/ark/kerfuffle/tests/jsonparser.cpp:92:
undefined reference to `QJson::Parser::~Parser()'
/home/mmodem/rpm/BUILD/kdeutils/ark/kerfuffle/tests/jsonparser.cpp:97:
undefined reference to `QJson::Parser::errorString() const'
/home/mmodem/rpm/BUILD/kdeutils/ark/kerfuffle/tests/jsonparser.cpp:97:
undefined reference to `QJson::Parser::errorLine() const'
CMakeFiles/jsoninterface.dir/jsonparser.o: In function
`JSONParser::parse(QString const&)':
/home/mmodem/rpm/BUILD/kdeutils/ark/kerfuffle/tests/jsonparser.cpp:77:
undefined reference to `QJson::Parser::Parser()'
/home/mmodem/rpm/BUILD/kdeutils/ark/kerfuffle/tests/jsonparser.cpp:79:
undefined reference to `QString::toUtf8() const'
/home/mmodem/rpm/BUILD/kdeutils/ark/kerfuffle/tests/jsonparser.cpp:79:
undefined reference to `QJson::Parser::parse(QByteArray const&,
bool*)'
CMakeFiles/jsoninterface.dir/jsonparser.o: In function `~QByteArray':
/usr/lib/qt4/include/QtCore/qbytearray.h:401: undefined reference to
`qFree(void*)'
CMakeFiles/jsoninterface.dir/jsonparser.o: In function
`KDebug::hasNullOutputQtDebugMsg(int)':
/usr/include/KDE/../kdebug.h:272: undefined reference to
`KDebug::hasNullOutput(QtMsgType, bool, int, bool)'
CMakeFiles/jsoninterface.dir/jsonparser.o: In function `QMap':
/usr/lib/qt4/include/QtCore/qmap.h:182: undefined reference to
`QMapData::shared_null'
CMakeFiles/jsoninterface.dir/jsonparser.o: In function
`JSONParser::parse(QString const&)':
/home/mmodem/rpm/BUILD/kdeutils/ark/kerfuffle/tests/jsonparser.cpp:79:
undefined reference to `QVariant::~QVariant()'
/home/mmodem/rpm/BUILD/kdeutils/ark/kerfuffle/tests/jsonparser.cpp:77:
undefined reference to `QJson::Parser::~Parser()'
/home/mmodem/rpm/BUILD/kdeutils/ark/kerfuffle/tests/jsonparser.cpp:82:
undefined reference to `QJson::Parser::errorString() const'
/home/mmodem/rpm/BUILD/kdeutils/ark/kerfuffle/tests/jsonparser.cpp:82:
undefined reference to `QJson::Parser::errorLine() const'
CMakeFiles/jsoninterface.dir/jsonparser.o: In function
`QList<QVariant>::free(QListData::Data*)':
/usr/lib/qt4/include/QtCore/qlist.h:759: undefined reference to `qFree(void*)'
CMakeFiles/jsoninterface.dir/jsonparser.o: In function `QMap<QString,
Kerfuffle::EntryMetaDataType>::freeData(QMapData*)':
/usr/lib/qt4/include/QtCore/qmap.h:657: undefined reference to
`QMapData::continueFreeData(int)'
CMakeFiles/jsoninterface.dir/jsonparser.o: In function `~QString':
/usr/lib/qt4/include/QtCore/qstring.h:880: undefined reference to
`QString::free(QString::Data*)'
/usr/lib/qt4/include/QtCore/qstring.h:880: undefined reference to
`QString::free(QString::Data*)'
CMakeFiles/jsoninterface.dir/jsonparser.o: In function `~Stream':
/usr/lib/qt4/include/QtCore/qdebug.h:64: undefined reference to
`QTextStream::~QTextStream()'
CMakeFiles/jsoninterface.dir/jsonparser.o: In function `~QDebug':
/usr/lib/qt4/include/QtCore/qdebug.h:85: undefined reference to
`QString::toLocal8Bit() const'
CMakeFiles/jsoninterface.dir/jsonparser.o: In function `QByteArray::detach()':
/usr/lib/qt4/include/QtCore/qbytearray.h:436: undefined reference to
`QByteArray::realloc(int)'
CMakeFiles/jsoninterface.dir/jsonparser.o: In function `~QDebug':
/usr/lib/qt4/include/QtCore/qdebug.h:85: undefined reference to
`qt_message_output(QtMsgType, char const*)'
CMakeFiles/jsoninterface.dir/jsonparser.o: In function `~QByteArray':
/usr/lib/qt4/include/QtCore/qbytearray.h:401: undefined reference to
`qFree(void*)'
CMakeFiles/jsoninterface.dir/jsonparser.o: In function
`QDebug::operator<<(int)':
/usr/lib/qt4/include/QtCore/qdebug.h:101: undefined reference to
`QTextStream::operator<<(int)'
CMakeFiles/jsoninterface.dir/jsonparser.o: In function `QDebug::maybeSpace()':
/usr/lib/qt4/include/QtCore/qdebug.h:93: undefined reference to
`QTextStream::operator<<(char)'
CMakeFiles/jsoninterface.dir/jsonparser.o: In function
`QDebug::operator<<(char const*)':
/usr/lib/qt4/include/QtCore/qdebug.h:111: undefined reference to
`QString::fromAscii(char const*, int)'
/usr/lib/qt4/include/QtCore/qdebug.h:111: undefined reference to
`QTextStream::operator<<(QString const&)'
CMakeFiles/jsoninterface.dir/jsonparser.o: In function `~QString':
/usr/lib/qt4/include/QtCore/qstring.h:880: undefined reference to
`QString::free(QString::Data*)'
CMakeFiles/jsoninterface.dir/jsonparser.o: In function `QDebug::maybeSpace()':
/usr/lib/qt4/include/QtCore/qdebug.h:93: undefined reference to
`QTextStream::operator<<(char)'
CMakeFiles/jsoninterface.dir/jsonparser.o: In function
`QDebug::operator<<(QString const&)':
/usr/lib/qt4/include/QtCore/qdebug.h:112: undefined reference to
`QTextStream::operator<<(char)'
/usr/lib/qt4/include/QtCore/qdebug.h:112: undefined reference to
`QTextStream::operator<<(QString const&)'
/usr/lib/qt4/include/QtCore/qdebug.h:112: undefined reference to
`QTextStream::operator<<(char)'
CMakeFiles/jsoninterface.dir/jsonparser.o: In function `QDebug::maybeSpace()':
/usr/lib/qt4/include/QtCore/qdebug.h:93: undefined reference to
`QTextStream::operator<<(char)'
CMakeFiles/jsoninterface.dir/jsonparser.o: In function
`KDebug::operator()(int)':
/usr/include/KDE/../kdebug.h:260: undefined reference to
`kDebugStream(QtMsgType, int, char const*, int, char const*)'
CMakeFiles/jsoninterface.dir/jsonparser.o: In function
`qMapLessThanKey<QString>':
/usr/lib/qt4/include/QtCore/qmap.h:107: undefined reference to
`QString::operator<(QString const&) const'
/usr/lib/qt4/include/QtCore/qmap.h:107: undefined reference to
`QString::operator<(QString const&) const'
CMakeFiles/jsoninterface.dir/jsonparser.o: In function `QMap<QString,
Kerfuffle::EntryMetaDataType>::detach_helper()':
/usr/lib/qt4/include/QtCore/qmap.h:754: undefined reference to
`QMapData::createData(int)'
CMakeFiles/jsoninterface.dir/jsonparser.o: In function `QMap<QString,
Kerfuffle::EntryMetaDataType>::node_create(QMapData*,
QMapData::Node**, QString const&, Kerfuffle::EntryMetaDataType
const&)':
/usr/lib/qt4/include/QtCore/qmap.h:453: undefined reference to
`QMapData::node_create(QMapData::Node**, int, int)'
collect2: ld returned 1 exit status
make[2]: *** [lib/libjsoninterface.so] Error 1
make[1]: *** [ark/kerfuffle/tests/CMakeFiles/jsoninterface.dir/all] Error 2
make[1]: *** Waiting for unfinished jobs....
[  7%] Building CXX object ark/kerfuffle/CMakeFiles/kerfuffle.dir/archivebase.o
[  7%] Building CXX object kcalc/CMakeFiles/kdeinit_kcalc.dir/kcalc.o
[  8%] Building CXX object
ark/kerfuffle/CMakeFiles/kerfuffle.dir/extractiondialog.o
[  8%] Building CXX object
ark/kerfuffle/CMakeFiles/kerfuffle.dir/adddialog.o
[  9%] Building CXX object
kcalc/CMakeFiles/kdeinit_kcalc.dir/kcalc_bitset.o
[  9%] Building CXX object
kcalc/CMakeFiles/kdeinit_kcalc.dir/kcalc_button.o
[  9%] Building CXX object
ark/kerfuffle/CMakeFiles/kerfuffle.dir/queries.o
[  9%] Building CXX object
ark/kerfuffle/CMakeFiles/kerfuffle.dir/addtoarchive.o
[  9%] Building CXX object
kcalc/CMakeFiles/kdeinit_kcalc.dir/kcalc_const_button.o
[  9%] Building CXX object
ark/kerfuffle/CMakeFiles/kerfuffle.dir/cliinterface.o
[ 10%] Building CXX object
ark/kerfuffle/CMakeFiles/kerfuffle.dir/settings.o
[ 10%] Building CXX object
kcalc/CMakeFiles/kdeinit_kcalc.dir/kcalc_const_menu.o
[ 11%] Building CXX object
kcalc/CMakeFiles/kdeinit_kcalc.dir/kcalc_core.o
[ 11%] Building CXX object
kcalc/CMakeFiles/kdeinit_kcalc.dir/kcalcdisplay.o
Linking CXX shared library ../../lib/libkerfuffle.so
[ 11%] Built target kerfuffle
[ 11%] Building CXX object kcalc/CMakeFiles/kdeinit_kcalc.dir/stats.o
[ 11%] Building CXX object
kcalc/CMakeFiles/kdeinit_kcalc.dir/kcalc_settings.o
Linking CXX shared library ../lib/libkdeinit4_kcalc.so
[ 11%] Built target kdeinit_kcalc
make: *** [all] Error 2
Comment 42 Raphael Kubo da Costa 2011-07-21 19:09:39 UTC
(In reply to comment #41)
> I know its not related with this bug but i take it to say that i pick
> up latest svn release 1242558 and now kdeutils (ark) doesnt build:

In fact it is completely unrelated to this bug report, please do not post unrelated build problems like this again.

The right place for reporting these build errors is the kde-utils-devel mailing list.
Comment 43 peterv 2011-08-06 21:51:58 UTC
Still dont know but i got the impression that it would give right click in
files to call  some menu in wich would appear some like:

Open
Open With...
Preview

But only now i read the Peterv comment....

So Peter can you improve the patch so it popup a menu when righ clicking files?
Maybe Raphael could help you?

-----------------------------------


hi, ok i can make that next week.
Comment 44 Gilboa Davara 2011-10-22 09:42:52 UTC
Hey Peter / Raphael,

Any updates?

- Gilboa
Comment 45 Raphael Kubo da Costa 2011-11-29 15:19:56 UTC
*** Bug 287828 has been marked as a duplicate of this bug. ***
Comment 46 Jose 2011-11-29 15:32:12 UTC
Will this patch be in KDE 4.8?
Comment 47 Raphael Kubo da Costa 2011-11-29 15:51:26 UTC
The current patch can be found here: https://svn.reviewboard.kde.org/r/6580/

Peter has not responded to my change requests, so right now I cannot merge it into the source tree.
Comment 48 Jose 2011-11-29 16:19:22 UTC
It's a shame then... well, at least oxygen-gtk is almost perfect so save the open-save dialogs and different HIG, file-roller is a good default archive manager for us that need to open files without decompressing them.
Comment 49 Asdf 2011-12-17 15:25:49 UTC
This really annoys me. I've been waiting for this bug to get resolved for months just to find out that it won't be any time soon.

Raphael Kubo da Costa, you've waited for five months for Peter to respond? Maybe Peter is dead or he lost interest in the project, have you thought of that?

Personally, I don't care if it's Ctrl+W or Ctrl+O or whatever, not-ideally working patch is better for me than no patch at all.
Comment 50 Raphael Kubo da Costa 2011-12-17 15:37:03 UTC
(In reply to comment #49)
> This really annoys me. I've been waiting for this bug to get resolved for
> months just to find out that it won't be any time soon.
> 
> Raphael Kubo da Costa, you've waited for five months for Peter to respond?
> Maybe Peter is dead or he lost interest in the project, have you thought of
> that?
> 
> Personally, I don't care if it's Ctrl+W or Ctrl+O or whatever, not-ideally
> working patch is better for me than no patch at all.

This is not how free software development works, sorry if that annoys you. I maintain Ark in my free time, which I also use to work on other projects and other parts of KDE. I didn't wait for five months blocking while waiting for Peter's answer, it just happened that I had other priorities, worked on other things (and even other Ark bugs) instead of implementing this wishlist item. Have you thought of that?

I can understand your frustration, but until I find some time to work on this, you can either work on a patch yourself, find someone else to do that (I am happy to review and integrate patches, even if that takes some time) or simply wait.
Comment 51 Asdf 2011-12-17 17:17:45 UTC
> but until I find some time to work on this,
> you can either work on a patch yourself, find someone else to do that (I am
> happy to review and integrate patches, even if that takes some time) or simply
> wait.

But you already have a working patch. I understand it may not be ideal but since no one came up with anything better in several months then this is the best that can be had under the circumstances. Just put it in, it certainly beats the current solution - no solution at all.

By the way, "severity: wishlist" is wrong, this bug is a major degradation of Ark's functionality found in KDE 3.5. I wouldn't rank it as "critical" because one can still extract files into a new directory and then use a desired viewer, but this bug makes using Ark clumsy, wastes time and generally impairs Ark's functionality pretty bad.
 
Severity: Major
Comment 52 2011-12-17 17:24:00 UTC
In fact im using that patch in the packages i do, it would be nicer to have it upstream...
Comment 53 Asdf 2011-12-20 12:08:24 UTC
I propose that Raphael Kubo da Costa to be fired from the maintainer's position of this project. I understand it's a voluntary position and all but it's better to have no maintainer at all (perhaps a WANTED sign could be posted on the project's page) than to have a maintainer who doesn't have time, is unwilling or clueless.

A patch has been posted for this bug several months ago, it resolves a major degradation of Akr's functionality that existed in KDE 3.5. It would've been a very useful patch for me to have and some people already include it in their own source trees. Raphael Kubo da Costa has been sitting on this patch for months without doing anything with it, he doesn't seem to care that this patch resolves a major inconvenience for the users. I think it'd be better if he was not maintaining this project.
Comment 54 Ivo Anjo 2011-12-20 12:30:08 UTC
(In reply to comment #53)
> I propose that Raphael Kubo da Costa to be fired from the maintainer's position
> of this project. I understand it's a voluntary position and all but it's better
> to have no maintainer at all (perhaps a WANTED sign could be posted on the
> project's page) than to have a maintainer who doesn't have time, is unwilling
> or clueless.
> 

Sorry, but you're just being rude. It's people like you that suck the joy out of open-source projects.
Yes I also want this patch, but if you've got nothing more to contribute, just don't.

Also Raphael is no awful dictator reigning over Ark. Do you want to take over maintaining Ark? Develop it further? Fix bugs? Test? Have to put up with rude users?

I also get frustrated sometimes, but cool off dude. We're all human beings here.
Comment 55 Raúl 2011-12-20 21:27:34 UTC
Raphael. I appreciate for your interest on Ark and hope you go on improving it day by day from within your spare time. Thanks for your work here.
Regards,
Comment 56 Christopher Yeleighton 2011-12-21 10:14:19 UTC
(In reply to comment #53)
> A patch has been posted for this bug several months ago, it resolves a major
> degradation of Akr's functionality that existed in KDE 3.5. It would've been a
> very useful patch for me to have and some people already include it in their
> own source trees. Raphael Kubo da Costa has been sitting on this patch for

So, what keeps you from applying the patch to your source tree and seeing how it works?
Comment 57 Asdf 2011-12-21 15:49:34 UTC
> So, what keeps you from applying the patch to your source tree

Several reasons:
  1) it's much better to fix the problem at the source
  2) I have other things to do than maintaining custom source trees, applying and reapplying patches, testing and synching with my distro
  3) it's not about me but this bug and how it's being handled by the current maintainer

This bug has been open for almost three (3) years. It's not a minor "wishlist" item, it's a major degradation of Ark's functionality found in KDE 3.5, which I was using until recently. A working patch has been available for several months and, though not perfect, it would've been a big improvement. In all those months the maintainer failed to apply the patch and ignored my recent request. That's why I proposed it may be a good idea to start looking for a new maintainer.
Comment 58 Christopher Yeleighton 2011-12-21 18:35:07 UTC
(In reply to comment #57)
> > So, what keeps you from applying the patch to your source tree
> 
> Several reasons:
>   1) it's much better to fix the problem at the source

Sometimes it is better, sometimes is not, to be decided by the maintainer.

>   2) I have other things to do than maintaining custom source trees, applying
> and reapplying patches, testing and synching with my distro

It turns out that Raphael has other things to do too.

>   3) it's not about me but this bug and how it's being handled by the current
> maintainer

Policy issues do not belong here.

> 
> This bug has been open for almost three (3) years. 

There are no deadlines in open source.

> That's why I proposed it may be a good idea to start looking for a new
> maintainer.

By all means, do so.  Start looking for a new maintainer.  We have other things to do.
Comment 59 Asdf 2011-12-22 22:40:04 UTC
> It turns out that Raphael has other things to do too.

That's exactly my point. Someone who doesn't have have time, is unwilling
or clueless should not be project's maintainer. This bug has been open for almost three (3) years. A working patch has been available for several months.

> There are no deadlines in open source.

Has someone granted you the authority to speak on behalf of open source? Some projects have deadlines, some don't, some projects become delusional and detached from their user base, treating their users like serfs. The later I think describes the KDE 4 experience.

> We have other things to do.

Is that the royal "we" or there are several people writing under your name? Whatever..
Comment 60 davidblunkett 2011-12-23 00:20:05 UTC
I you think it is bad here you should try okular!

Seriously, some parts of kde4 are badly maintained and there is a bad atmosphere between users and maintainers.  In contrast some parts are superbly maintained with extremely helpful and tolerant maintainers.  The odd thing is that the importance of the package and the size of the team of actively involved people seems to be totally unrelated to the quality of maintenance.

Once things get this bad there seems to be a downward spiral to the point when far more effort is spent wrangling over manners than fixing bugs.

I agree that this particular bug is daft, annoying and a major step backwards in functionality cf the gold standard of kde 3.5 (where everything that mattered actually worked really well).


Asdf - you'll probably have to get used to this - it is shite but that is all there is.  Maintainers - please don't let relatively trivial problems stay in the wild and stop trolling bug reporters.
Comment 61 Ben Cooksley 2011-12-23 00:52:09 UTC
@Comment 59 and 60: Trolling on KDE Bugzilla is explicitly prohibited by the KDE Community Code Of Conduct. Please act within the principles of the Code of Conduct when posting on KDE Bugzilla.

If you do not comply with this request, your KDE Bugzilla accounts will be disabled.

It is the sole opinion of an application's maintainer and developers whether patches are accepted or not. In this case, the maintainer has requested changes be made to the patch which have yet to be made.
Comment 62 2011-12-23 03:48:48 UTC
I dont think no one was trolling in those comments, but showing the severaty of the problem.

As said in kde 3.5.x series ark used to work fine and have some features that were simply gone in kde 4.x series.

Regarding to this problem, was reported a long time ago, and meanwhile a patch was done, so at least the patch could have been implemented upstream at that time, and from that point the code could be improved, but none was done, and too much time has passed, please this is in fact passing reasonable limits.

I understand that Raphael could not have time to work on this project but adding the patch upstream wasnt some that could take much time.

So in this point i do agree that some should have been done...

I have speaked with him about some Ark aspects, and being Ark the only archive tool in KDE, it  should have much more love and commitment, since hows currently its too basic and still buggy tool.

So all this can lead users to complain and if time passes and things continue the same, its understandable that users get somehow mad about it.

So please Raphael, if you feel you can continue with this project (that would be the best option) then its time you can focus a "litle" more on it;
if you feel you really dont have the time to maintain and contribut, than i think you should contact and talk with someone that could take this task.
Comment 63 H.H. 2012-01-11 18:58:53 UTC
I am working to extend the patch on reviewboard for a popupmenu
Comment 64 Ivo Anjo 2012-01-11 20:46:45 UTC
(In reply to comment #63)
> I am working to extend the patch on reviewboard for a popupmenu

Excellent, thanks a lot!
Comment 65 Gilboa Davara 2012-01-13 08:45:04 UTC
(In reply to comment #63)
> I am working to extend the patch on reviewboard for a popupmenu

Thanks!

- Gilboa
Comment 66 H.H. 2012-01-13 17:10:50 UTC
Who likes to try: https://git.reviewboard.kde.org/r/103690/
Comment 67 2012-01-13 19:52:04 UTC
Its working like a charm...

But it would be better if the "Open With" entry could be or have the same behaviour like in dolphin that when you for example right click in a text file and point th mouse to "Open With" it also pops the default applications associated with that type of file.
Comment 68 H.H. 2012-01-13 20:10:30 UTC
thanks for testing, yes, that could be the next step..
Comment 69 Ivo Anjo 2012-01-13 20:49:08 UTC
Ok, seems to work well.
Using ctrl+w thing seems strange for open-with, but that is very minor.

Also, would it be possible for extracted files to hang around while ark is still open? A bit like firefox does with "opened" (not saved) files?

Apart from that, rock on!
Comment 70 Christopher Yeleighton 2012-01-13 21:07:54 UTC
(In reply to comment #67)
> Its working like a charm...
> 
> But it would be better if the "Open With" entry could be or have the same
> behaviour like in dolphin that when you for example right click in a text file
> and point th mouse to "Open With" it also pops the default applications
> associated with that type of file.

I think KDE should define a scheme for accessing the interior of archives and pass an URL with this scheme to the handler so that it can demand extraction itself.  That way, the lifetime of the extracted data, if any, would become the handler’s responsibility, which is much more sound.
Comment 71 Ivo Anjo 2012-01-13 22:49:04 UTC
(In reply to comment #70)
> I think KDE should define a scheme for accessing the interior of archives and
> pass an URL with this scheme to the handler so that it can demand extraction
> itself.  That way, the lifetime of the extracted data, if any, would become the
> handler’s responsibility, which is much more sound.

You could already do this, if you have a kio corresponding to the file you are opening.
But what about archive formats for which there is no kio support, or non-kde applications?

If KIO had something like gvfs_fuse, the second issue wouldn't exist, but unfortunately it doesn't.
Comment 72 Christopher Yeleighton 2012-01-13 22:58:29 UTC
(In reply to comment #71)
> (In reply to comment #70)
> > I think KDE should define a scheme for accessing the interior of archives and
> > pass an URL with this scheme to the handler so that it can demand extraction
> > itself.  That way, the lifetime of the extracted data, if any, would become the
> > handler’s responsibility, which is much more sound.
> 
> You could already do this, if you have a kio corresponding to the file you are
> opening.
> But what about archive formats for which there is no kio support, or non-kde
> applications?
> 
> If KIO had something like gvfs_fuse, the second issue wouldn't exist, but
> unfortunately it doesn't.

Stranger applications could get their data from a named pipe; that would not work with formats that require searching, unless the application is smart enough to make a copy.  The extractor could implement a timeout and destroy the pipe if nothing reads from it.
Comment 73 Hasan Ceylan 2012-01-14 08:47:21 UTC
I have removed my email from CC. Yet I still get the email notifications.
Comment 74 Raphael Kubo da Costa 2012-01-17 16:46:12 UTC
*** Bug 291779 has been marked as a duplicate of this bug. ***
Comment 75 H.H. 2012-01-26 14:52:32 UTC
@Raphael Kubo da Costa: do you think my patch is ok for inclusion?
Comment 76 Raphael Kubo da Costa 2012-01-26 15:08:13 UTC
(In reply to comment #75)
> @Raphael Kubo da Costa: do you think my patch is ok for inclusion?

Not yet; I haven't had time to fully review it, but from a quick glance some comments I made on the original patch still apply. Will try to review it more deeply in the next days.
Comment 77 2012-01-26 15:20:00 UTC
Could you please set the patch so that "Open With" behaviour would be like in dolphin?

In dolphin when you for example right click in a text file and point the mouse to "Open With" entry, it shows the default associated applications (following mimetypes definitions) the user can run.
Comment 78 H.H. 2012-01-26 18:34:29 UTC
(In reply to comment #76)

You are right, I forgot the third parameter here:

KRun::displayOpenWithDialog(lst, widget(), true);

so that the temp-file is deleted afterwards. Fixed that locally now.
Comment 79 Raphael Kubo da Costa 2012-03-08 20:21:15 UTC
*** Bug 295549 has been marked as a duplicate of this bug. ***
Comment 80 Jose 2012-08-02 09:12:42 UTC
Well, KDE 4.9 is out and this patch is not there. Not that I expected it to have many new features, but I wonder if ark is maintained at all...
Comment 81 Ettore Atalan 2012-08-03 15:40:40 UTC
Praise the maintainer and don't express criticism.
Comment 82 davidblunkett 2012-08-06 19:25:36 UTC
Why?
Comment 83 Christopher Yeleighton 2012-08-06 19:31:20 UTC
Because whining on Bugzilla does not help to solve the problem.
Comment 84 davidblunkett 2012-08-06 19:50:23 UTC
TBH a balanced view is what is required, praise for good stuff, criticism for bad stuff.  Massaging of egos shouldn't be required. I can't see much to praise here but if it helps:

Wow this is a marvellous package and progress here is really good, more please!
Comment 85 Jose 2012-08-07 07:45:05 UTC
The problem here seems to be that this application is unmantained and since it's the default package manager of KDE, there's no harm in pointing it out. There hasn't been any new feature in this application since KDE 4.3 or so. And it's not because it has all the features it needs. It lacks a lot of features that both File Roller and Ark 3 have.
Comment 86 Christopher Yeleighton 2012-08-07 17:40:56 UTC
(In reply to comment #85)
> The problem here seems to be that this application is unmantained and since
> it's the default package manager of KDE, there's no harm in pointing it out.

The harm is that everybody gets a message that does not put things forward.  If you want to step forward and take over Ark, Bugzilla is not the right place to do it.  If you do not, announcing obvious things on Bugzilla just wastes everybody’s time.
Comment 87 Raphael Kubo da Costa 2012-12-02 21:13:24 UTC
*** Bug 311026 has been marked as a duplicate of this bug. ***
Comment 88 Christoph Feck 2013-01-16 03:08:13 UTC
*** Bug 312786 has been marked as a duplicate of this bug. ***
Comment 89 Raphael Kubo da Costa 2013-05-13 10:34:55 UTC
*** Bug 319770 has been marked as a duplicate of this bug. ***
Comment 90 pridebay_un 2013-07-14 08:57:39 UTC
Created attachment 81105 [details]
Patch adding a submenu to the preview button to choose from the embedded, default app or other external app to preview the file.

Well, lack of this functionality has been bugging me for quite a while. As the patch available here does not seem to be working on the recent git version of Ark, I decided to adjust it a bit. Now, the choice from the available viewers (embedded, default app or other external app) to preview the file is added to the preview toolbar button as a submenu. The choice is preserved for the current Ark session.

Please review the patch and consider adding it for the coming release.

HTH
Comment 91 Ettore Atalan 2013-10-04 17:48:36 UTC
Why is no one adding this patch?
Comment 92 Jose 2013-10-07 08:01:13 UTC
Probably ARK is abandoned.
Comment 93 Siavash 2013-10-15 06:51:47 UTC
This issue is around for about 5 years and it isn't still fixed yet, please! :D
Comment 94 Raphael Kubo da Costa 2014-09-08 10:52:08 UTC
*** Bug 338902 has been marked as a duplicate of this bug. ***
Comment 95 Luigi Baldoni 2014-09-08 11:52:04 UTC
It would be indeed interesting to know whether Ark will be further developed or not.
Comment 96 Jose 2014-09-08 12:14:10 UTC
I think it's clear that it has been abandoned. Maybe with the transition to KDE Frameworks 5 it will be revamped but for KDE 4 I think we can consider it dead. It hasn't had any visible change in years.
Comment 97 Dan Duris 2014-09-08 12:21:05 UTC
i recommend using peazip instead
Comment 98 Daniel Hahler 2014-09-08 14:49:39 UTC
FWIW: peazip isn't in Debian/Ubuntu yet (here is the Intent-To-Package bug: https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=499376).
You have to install it from: http://peazip.sourceforge.net/peazip-linux.html
Comment 99 Elvis Angelaccio 2014-10-23 16:48:03 UTC
Git commit ed3ea7dbbbfb8965d2709193c1d77555fc12fdee by Elvis Angelaccio.
Committed on 23/10/2014 at 16:40.
Pushed by elvisangelaccio into branch 'KDE/4.14'.

Add the 'open-with' action and show the right-click menu.

This patch implements the 'open-with' action, which allows the users to
temporarily extract a file and open it with a chosen application.
A contextual menu has been implemented as well. This menu is showed when the
user right-clicks on an entry in the archive.
FIXED-IN: 4.14.3
REVIEW: 120216
GUI:
DIGEST:

M  +1    -6    app/ark.appdata.xml
M  +8    -1    part/ark_part.rc
M  +53   -11   part/part.cpp
M  +12   -3    part/part.h

http://commits.kde.org/ark/ed3ea7dbbbfb8965d2709193c1d77555fc12fdee
Comment 100 Ivo Anjo 2014-10-23 17:02:10 UTC
Well, what can I say. Took a bit longer than expected, but a big thank you to Elvis!
Comment 101 Dan Duris 2014-10-23 18:14:46 UTC
I switched to peaZip in the meantime. Although less integrated, at least it works.
Comment 102 Luigi Baldoni 2014-10-23 18:17:45 UTC
Thanks, hope to see it soon on KDE:Current.
Comment 103 H.H. 2014-10-23 18:31:22 UTC
thanks, finally I don't have to extract every archive before looking into it!
Comment 104 Raphael Kubo da Costa 2014-10-23 18:44:52 UTC
Git commit 2a552b1ab72616572377526beec5518fe3e82a4c by Raphael Kubo da Costa.
Committed on 23/10/2014 at 18:25.
Pushed by rkcosta into branch 'KDE/4.14'.

Revert "Add the 'open-with' action and show the right-click menu."

This commit was only intended for the master branch (KDE Applications
14.12) as it is a new feature and introduces new strings.

It also restores some translations in ark.appdata.xml that were changed
by mistake in the same commit.

This reverts commit ed3ea7dbbbfb8965d2709193c1d77555fc12fdee.

(I'm mentioning the digest and UI folks again to make sure everyone's
aware of the right version and branch that will have this change)
DIGEST:
DOC:

M  +6    -1    app/ark.appdata.xml
M  +1    -8    part/ark_part.rc
M  +11   -53   part/part.cpp
M  +3    -12   part/part.h

http://commits.kde.org/ark/2a552b1ab72616572377526beec5518fe3e82a4c
Comment 105 Raphael Kubo da Costa 2014-10-23 18:45:03 UTC
Git commit 0b06929dfe438d893a7753e1a2eb837a6f740b62 by Raphael Kubo da Costa.
Committed on 23/10/2014 at 18:41.
Pushed by rkcosta into branch 'master'.

Merge branch 'KDE/4.14'

This is actually just a merge commit to sync the history.

It was produced with "git merge --stragegy ours", so the changes in
commit from KDE/4.14 being merged ('Revert "Add the 'open-with' action
and show the right-click menu."') are not being pulled in.

The 'open-with' feature was only intended for this branch (master, which
is going to be KDE Applications 14.12), as it is a new feature and
contains new strings.

Even though this means the translations which were restored in KDE/4.14
will not be restored here, it is OK because they were never committed to
master so there has been no effective change.
DIGEST:
GUI:


http://commits.kde.org/ark/0b06929dfe438d893a7753e1a2eb837a6f740b62
Comment 106 Raphael Kubo da Costa 2014-10-23 18:46:32 UTC
Don't panic: this change was only intended for the master branch (that will be part of KDE Applications 14.12) because it is a new feature and introduces new strings that need to be translated. It was committed into the KDE/4.14 branch by mistake, and the commits I've just pushed fix it by reverting the change there while keeping it in master.
Comment 107 Arjun AK 2014-12-01 08:39:55 UTC
*** Bug 341408 has been marked as a duplicate of this bug. ***